
Lua_FactionHuntingPaymentWindow  = class("Lua_FactionHuntingPaymentWindow",Lua_ThirdSizeWindow);
function Lua_FactionHuntingPaymentWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_FactionHuntingPaymentWindow";
	self.skinName = "FactionHuntingPaymentPlan_skin";
	self.contNum = 0;
	self.w = 600;
	self.h = 414;
	self.titleText = "繳納靈石"
end

function Lua_FactionHuntingPaymentWindow:dispose()	
	self:superCall("dispose");
end

function Lua_FactionHuntingPaymentWindow:buildShowItem()
	self:superCall("buildShowItem");
	DataCenter.factionHuntingData:sFactionFactionHuntingMsg();
	self.huntingUtil = DataCenter.factionHuntingUtil;
	self.huntGoodsId = self.huntingUtil.huntGoods;
	self.huntGoodsNum = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(self.huntGoodsId)--身上拥有灵石数量
	local donateAmount = DataCenter.factionHuntingData:huntingList().donateAmount;--仓库灵石
	local myFactionInfo = DataCenter.factionData.myFactionInfo;
	local maxSell = Lua_FactionLevelVo.new(myFactionInfo.leagueLvl).maxSell;--帮派库存
	local num = maxSell-donateAmount;
	
	--local maxNum = 
	if donateAmount < maxSell and self.huntGoodsNum > num then
		self:setProgressBar(self.progressBar,self.huntGoodsNum,num,self.onSubSlideing,self.onAddSlideing);
	else
		self:setProgressBar(self.progressBar,self.huntGoodsNum,self.huntGoodsNum,self.onSubSlideing,self.onAddSlideing);
	end



	
	-- if self.huntGoodsNum > maxSell then
	-- 	self:setProgressBar(self.progressBar,self.huntGoodsNum,num,self.onSubSlideing,self.onAddSlideing);
	-- else
	-- 	self:setProgressBar(self.progressBar,self.huntGoodsNum,self.huntGoodsNum,self.onSubSlideing,self.onAddSlideing);
	-- end
	--self:setProgressBar(self.progressBar,self.huntGoodsNum,self.huntGoodsNum,self.onSubSlideing,self.onAddSlideing);
	self.sub:addClickFuntion(self,self.subNumber);
	self.add:addClickFuntion(self,self.addNumber);
	self.numbg:addClickFuntion(self,self.onOpenImportClick);

	self.button:addClickFuntion(self,self.onPaymentStone);
end

function Lua_FactionHuntingPaymentWindow:onOpenImportClick()
	self.numArr = Array();
	local list = { };
    list.pox = 333;
    list.poy = -18;
    list.callBackOwner = self;
    list.callBack = self.onInputClick;
    Lua_WindowUtil.openWin("Lua_CountInputWindow", WinParam.ACTION_AUTO, list)
end

function Lua_FactionHuntingPaymentWindow:setNum(val)
	if val >= self.huntGoodsNum then
		self.num = self.huntGoodsNum;
	else
		self.num = val;
	end
	self.showNum.text = tostring(self.num);
end

function Lua_FactionHuntingPaymentWindow:setProgressBar(prg,maxValue,value,slideEndFun,slideingFun)
	prg:setText("");
	prg:createSlider("settingsWindow_atlas","ui_shezhi_widget_01");
	prg:addSlideEndFun(self,slideEndFun);
	prg:addSlidingFun(self,slideingFun);
	prg:setMaxValue(maxValue);
	prg:setValue(value);
end

function Lua_FactionHuntingPaymentWindow:onInputClick(data)--输入数字
	--print("进入输入数字")
	if data.state == 1 then
        self.numArr:add(data.num);
        local str = "";
        for i=1,self.numArr:getSize() do
        	str = str..self.numArr[i];    
        end
        if tonumber(str) >= self.huntGoodsNum then
        	str = self.huntGoodsNum;
        end
        self:setNum(tonumber(str));
        self.progressBar:setValue(str);
    elseif data.state == 0 then
        self:setNum(1);
        self.progressBar:setValue(1);
        self.numArr:clear();
    end
end

function Lua_FactionHuntingPaymentWindow:onPaymentStone()
	DataCenter.factionHuntingData:sPaymentStoneMsg(self.huntGoodsId,self.num)
	Lua_WindowUtil.openWin("Lua_FactionHuntingPaymentWindow", WinParam.ACTION_CLOSE)
end

function Lua_FactionHuntingPaymentWindow:subNumber()--减少
	local cont = self.num;
	if cont <= 1 then
		cont = 1;
	else
		cont = cont-1;
	end
    self.progressBar:setValue(cont);
    self:setNum(cont);
end

function Lua_FactionHuntingPaymentWindow:addNumber()--增加
	local cont = self.num;
	if cont == self.huntGoodsNum then
		cont = self.num
	else
		cont = cont+1;
	end
    self.progressBar:setValue(cont);
    self:setNum(cont);
end


function Lua_FactionHuntingPaymentWindow:onSubSlideing(val)
	if val < 1 then
        self.count = 1;
        self.progressBar:setValue(self.count);
    else
        self.count = val;
    end
    self:setNum(self.count);
end

function Lua_FactionHuntingPaymentWindow:onAddSlideing(val)
	if val < 1 then
        self.count = 1;
        self.progressBar:setValue(self.count);
    else
        self.count = val;
    end
    self:setNum(self.count);
end